Packages - Bug #1944

[mesa][xf86-video-nouveau] OpenGL based programs unable to start
2018-08-09 09:59 PM - glumpo

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

When | am trying to start kitty, from xterm it fails with messege from libGL:

1ibGL error: unable to load driver: nouveau_dri.so

1ibGL error: driver pointer missing

1ibGL error: failed to load driver: nouveau

1ibGL error: unable to load driver: swrast_dri.so

1ibGL error: failed to load driver: swrast

[222 02:19:16.087431] [glfw error 65543]: GLX: Failed to create context: GLXBadFBConfig
[222 02:19:16.087450] Failed to create GLFW temp window!

the same problem with other openGL based programs (such as Xonotic). WM still works, | have not restarted it from last system
upgrade.

It pacman.log | found two errors with libicuuc:

[2018-08-09 22:12] [ALPM-SCRIPTLET] g_module_open() failed for /usr/lib/gdk-pixbuf-2.0/2.10.0/load
ers/libpixbufloader-svg.so: libicuuc.so0.62: cannot open shared object file: No such file or direct
ory

[2018-08-09 22:12] [ALPM-SCRIPTLET] /usr/bin/update-mime-database: error while loading shared libr
aries: libicuuc.so0.62: cannot open shared object file: No such file or directory

Full todays pacman.log in attachment. Also | have

IgnorePkg = icu

in my pacman.conf becouse of #1941

History

#1 - 2018-08-15 07:03 AM - glumpo

| think it's possible to close the bug, becouse of progress in #1941

#2 - 2018-08-15 07:16 PM - ovruni

- Status changed from open to not-a-bug

Files

pacman0809.log 4.16 KB 2018-08-09 glumpo
